Bug 18516 - MediaStream should extend EventTarget, not mix it in
MediaStream should extend EventTarget, not mix it in
Status: RESOLVED FIXED
Product: WebRTC Working Group
Classification: Unclassified
Component: WebRTC API
unspecified
PC All
: P2 normal
: ---
Assigned To: Web RTC Working Group
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-10 06:23 UTC by Dominic Cooney
Modified: 2012-10-26 10:01 UTC (History)
3 users (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Dominic Cooney 2012-08-10 06:23:17 UTC
The editor’s draft [1] contains this definition:

MediaStream implements EventTarget;

However recent specs (including, for example: HTML, DOM Core, WebSockets, Web Audio, Battery Status, File Writer, Indexed DB, HTML Media, SVG, XHR, etc. etc. etc.) don’t declare EventTarget as a mixin interface but extend it directly.

It will simplify implementations and give programmers a more consistent API if MediaStream also extends EventTarget. So I suggest removing that implements clause and changing the definition of MediaStream to read:

interface MediaStream : EventTarget {

[1] <http://dev.w3.org/2011/webrtc/editor/getusermedia.html#idl-def-MediaStream>
Comment 1 Cullen Jennings 2012-10-24 19:20:21 UTC
Has this been fixed?
Comment 2 Adam Bergkvist 2012-10-26 10:01:45 UTC
This issue has been around for a while and the fix is so easy. I'll go ahead and edit it.